## org.flexdock.event
Class EventManager

    java.lang.Object
      org.flexdock.event.EventManager

    public class EventManager

extends java.lang.Object

Author:
  Christopher Butler

Method Summary
`void` `addEventHandler(EventHandler handler)`
`void` `addEventListener(java.util.EventListener listener)`
`static void` `addHandler(EventHandler handler)`
`static void` `addListener(java.util.EventListener listener)`
`static void` `dispatch(Event evt)`
`static void` `dispatch(Event evt, java.lang.Object target)`
`static void` `dispatch(Event evt, java.lang.Object[] targets)`
`void` `dispatchEvent(Event evt)`
`void` `dispatchEvent(Event evt, java.lang.Object target)`
`void` `dispatchEvent(Event evt, java.lang.Object[] targets)`
`static EventManager` `getInstance()`
`void` `removeEventHandler(EventHandler handler)`
`void` `removeEventListener(java.util.EventListener listener)`
`static void` `removeHandler(EventHandler handler)`
`static void` `removeListener(java.util.EventListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static EventManager getInstance()

### addHandler

    public static void addHandler(EventHandler handler)

### removeHandler

    public static void removeHandler(EventHandler handler)

### addListener

    public static void addListener(java.util.EventListener listener)

### removeListener

    public static void removeListener(java.util.EventListener listener)

### dispatch

    public static void dispatch(Event evt)

### dispatch

    public static void dispatch(Event evt,
                                java.lang.Object target)

### dispatch

    public static void dispatch(Event evt,
                                java.lang.Object[] targets)

### addEventHandler

    public void addEventHandler(EventHandler handler)

### removeEventHandler

    public void removeEventHandler(EventHandler handler)

### addEventListener

    public void addEventListener(java.util.EventListener listener)

### removeEventListener

    public void removeEventListener(java.util.EventListener listener)

### dispatchEvent

    public void dispatchEvent(Event evt)

### dispatchEvent

    public void dispatchEvent(Event evt,
                              java.lang.Object target)

### dispatchEvent

    public void dispatchEvent(Event evt,
                              java.lang.Object[] targets)